/* STYLES FOR MOBILE DEVICES (0 TO 480PX) */

/* ============================================================ */
/*                        GENERAL STYLES                        */
/* ============================================================ */
* {
  margin: 0;
  padding: 0;
  font-family: Rubik, sans-serif;
  box-sizing: border-box;
}

*:focus {
  outline: none;
}

.protest-revolution-regular {
  font-family: "Protest Revolution", sans-serif;
  font-weight: 400;
  font-style: normal;
}

/* 
<uniquifier>: Use a unique and descriptive class name
<weight>: Use a value from 300 to 900 

.rubik-<uniquifier> {
  font-family: "Rubik", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}
*/

body {
  background: #fafcfc;
  height: 100vh;
  width: 100%;
}

h1 {
  font-weight: bold;
  text-align: center;
}

h1, a {
  color: #fafcfc;
  transition: color 0.3s;
}

h2 {
  text-align: center;
}

a:hover {
  color: #f58732;
}

/* ============================================================ */
/*                        HEADER STYLES                         */
/* ============================================================ */

/*------------------------- Nav Bar --------------------------- */
nav {
  position: fixed;
  top: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 0.5rem 1.5rem; 
  background-color: #0c1214;
  z-index: 10000; 
}

#navLeft img{
  width: 30px;
  margin-right: 0.5rem;
  border-radius: 50%;
}

#navLeft, 
#navRight {
  display: flex;
  text-wrap: wrap;
  font-size: 1.2rem;
  align-items: center;
}

#navLeft a,
#navRight a {
  text-decoration: none;
}

#navRight a {
  margin-left: 1rem;
}

#navRight span {
  display: none;
}

#navRight a, h1 {
  text-shadow: 0 0 10px #0c1214;
}

#navRight span {
  font-size: 0.9rem;
}

#navCenter,
.searchContainer,
.searchContainer button {
  display: flex;
  align-items: center;
  justify-content: center;
}

#navCenter {
  flex: 1;
  position: relative;
}

.searchContainer {
  display: none;
  z-index: 30;
}

.searchContainer.active{
  display: block;
  width: 90%;
  
}

#navSearchBtn {
  color: #fafcfc;
  display: flex;
  align-items: center;
  justify-content: center;
}

.homeBtn, .mapBtn, #navLeft span.active,
#navSearchBtn .bx-search-alt,
#navSearchBtn .bx-x{
  display: none;
}

.homeBtn.active, .mapBtn.active,
#navSearchBtn .bx-search-alt.active,
#navSearchBtn .bx-x.active {
  display: block;
}

.searchContainer.active
+ .autocom-box {
  width: 90%;
  top: 25px;
}

.autocom-box {
  position: absolute;
  background: white;
  width: 70%;
  top: 45px;
  list-style: none;
  border-radius: 0 0 5px 5px;
  line-height: 30px;
  box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
  opacity: 0;
  pointer-events: none;
  max-height: 250px;
  overflow-y: scroll;
}

.autocom-box.inactive {
  display: none;
} 

.autocom-box.active {
  opacity: 1;
  pointer-events: auto;
  padding: calc(0.5rem + 5px) 1rem 0.5rem 1rem;
}

.autocom-box li {
  padding: 0 10px;
  margin: 3px 0;
  border-radius: 3px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid rgb(219, 219, 219);
}

.autocom-box li span {
  display: none;
  border-radius: 3px;
  font-size: 0.75rem;
  padding: 0 10px;
  line-height: 17px;
  color: white;
}

.autocom-box li span{
  display: block;
} 

.autocom-box li .navSearchGym{
  background-color: #f8a230;
}

.autocom-box li .navSearchRoute{
  background-color: #ee212d;
}

.autocom-box li:hover {
  background: #ececec;
  cursor: pointer;
}

.searchContainer {
  position: relative;
  margin: 0 auto;
  width: 70%;
  height: 100%;
}

.searchContainer input {
  width: 100%;
  height: 100%;
  outline: none;
  border-radius: 5px;
  padding: 0 1rem;
  border: none;
  background: #fafcfc;
  box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
  z-index: 10;
  transition: background-color 0.3s, box-shadow 0.3s;
}

.searchContainer input:hover{
  background: #ececec;
  box-shadow: 0px 1px 5px rgba(0,0,0,0.3);
}

/* clears the 'X' from Internet Explorer */
input[type=search]::-ms-clear {  display: none; width : 0; height: 0; }
input[type=search]::-ms-reveal {  display: none; width : 0; height: 0; }

/* clears the 'X' from Chrome */
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration { display: none; }


/* ============================================================ */
/*                         MAIN STYLES                          */
/* ============================================================ */

/*------------------------ Hero Image ------------------------- */
.parallax {
  height: 100vh;
  background: url('../assets/hero.webp') no-repeat top right;
  background-size: cover;
  background-attachment: fixed;
}

#homeHero {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#homeHero h1{
  width: 70%;
  font-size: 1.5rem;
}

#searchBtn {
  background: #f58831;
  border-radius: 7px;
  padding: 10px 20px;
  margin-top: 30px;
  font-size: 1rem;
  font-weight: 400;
  color: rgb(22, 16, 80);
  text-decoration: none;
  display: flex;
  align-items: center;
  box-shadow: 2px 2px #a55412;
  transition: margin 0.15s, box-shadow 0.15s, background-color 0.15s;
}

#searchBtn:hover {
  background: #e27c28;
}

#searchBtn:active {
  margin-top: calc(30px + 1px);
  margin-bottom: -1px;
  
}

#searchBtn span {
  margin-left: 10px;
}

#searchBtnSM {
  display: block;
}

#searchBtnLG {
  display: none;
}


/*-------------------- Map Page General ----------------------- */

#directionContainer.active,
#nearbyContainer.active,
#weatherContainer.active,
#resultsContainer.map-active,
#mapContainer.map-active,
#directionContainer.map-active,
#nearbyContainer.map-active,
#weatherContainer.map-active {
  width: 100vw;
}

#mapContainer, 
#resultsContainer {
  position: relative;
  width: 0;
  transition: width 0.1s;
}

#mapContainer.active,
#directionContainer,
#nearbyContainer,
#weatherContainer {
  width: 0;
}


#mapPage{
  display: flex;
  position: relative;
}

#toggleMapBtn {
  position: absolute;
  z-index: 601;
}

#viewMapBtn,
#exitMapBtn {
  display: none;
}

#viewMapBtn.map-active,
#exitMapBtn.map-active {
  display: block;
  font-size: 0.8rem;
  font-weight: bold;
  display: flex;
  align-items: center;
}

#toggleMapBtn {
  left: 50%;
  transform: translateX(-50%);
  bottom: 30px;
  border: none;
  background: black;
  color: #fafcfc;
  padding: 7px 15px;
  border-radius: 50px;
}

#toggleMapBtn i {
  font-size: 1.3rem;
  margin-right: 3px;
}

.mapSideBar,
#mapContainer {
  margin-top: calc(30px + 2*0.5rem);
  height: calc(100vh - 30px - 2*0.5rem);
}

/*----------- Map Page Sidebar General ------------- */
.closeSidebarBtn{
  border: none;
  right: 10px;
  top: 10px;
  background: none;
  font-size: 30px;
}

#directionContainer,
#nearbyContainer,
#weatherContainer {
  position: relative;
  padding-top: 40px;
}

#directionContainer .closeSidebarBtn,
#nearbyContainer .closeSidebarBtn,
#weatherContainer .closeSidebarBtn {
  position: absolute;
}




/*----------- Map Page Sidebar (Location Results) ------------- */

.mapSideBar {
  width: 100%;
  background-color: #fafcfc;
  display: none;
  z-index: 501;
}

.mapSideBar.active {
  display: block;
}

#locationSelectContainer {
  display: none;
  justify-content: center;
  background-color: #fafcfc;
  box-shadow: 0 3px 5px rgba(214, 201, 201, 0.5);
  padding: 20px 15px;
}

.mapSideBar.map-active 
#locationSelectContainer {
  display: flex;
}

#locationSelectContainer form {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#locationSelectContainer label {
  display: block;
  font-weight: 500;
  font-size: 1.1rem;
}

#locationSelectContainer select {
  margin-top: 5px;
  outline: none;
  border-radius: 50px;
  padding: 3px 10px;
  border: none;
  font-size: 1rem;
  background-color:  #f36233;
  color: white;
  font-weight: 300;
  text-align: center;
  box-shadow: 0 4px 2px -2px rgba(136, 136, 136, 0.3);
}

#locationContainer {
  overflow-y: scroll;
  height: calc(100vh - 145px);
}

.eachLocationResult {
  padding: 20px;
  border-bottom: 1px solid rgb(233, 233, 233);
}

.eachLocationResult:hover {
  background-color: rgb(241, 241, 241);
  cursor: pointer;
}

.eachLocationTitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.eachLocationContent {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.eachLocationBtn {
  display: flex;
}

.eachLocationWebsite,
.eachLocationDirection {
  transition: background-color 0.5s
}

.eachLocationWebsite:hover,
.eachLocationDirection:hover {
  background: rgb(233, 233, 233);
}

.eachLocationBtn div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-left: 10px;
  color: rgb(95, 95, 95);
}

.eachLocationContent div a {
  color: rgb(95, 95, 95);
  font-size: 1rem;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  border: 1px solid rgb(95, 95, 95);
  width: 35px;
  border-radius: 50px;
  aspect-ratio: 1 / 1;

}

.eachLocationContent div span {
  font-size: 0.7rem;
} 

.eachLocationGym, 
.eachLocationRoute {
  padding: 0px 7px;
  font-size: 0.8rem;
  color: white;
  border-radius: 3px;
}

.eachLocationGym {
  background-color: #f8a230;
}

.eachLocationRoute {
  background-color: #ee212d;
}

#locationContainer h1 {
  color: rgb(0, 0, 0);
  text-shadow: none;
  text-align: left;
  font-size: 1.1rem;
  font-weight: normal;
  
}

#locationContainer h3 {
  color: rgb(95, 95, 95);
  font-size: 0.9rem;
  font-weight: normal;

} 

/* Remove Sweet Alert Outline on Focus */
.swal2-popup .swal2-styled:focus {
  box-shadow: none !important;
}


/*----------- Map Page Sidebar (Direction Results) ------------ */
#directionTitle,
#directionDriveBtn,
#directionWalkBtn,
#directionCycleBtn,
#directionInput {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#directionTitle {
  margin-top: 10px;
  box-shadow: 0 4px 2px -2px rgba(136, 136, 136, 0.3);
}

#directionModeBtn {
  display: flex;
  width: 70%;
  justify-content: space-between;
}

#directionDriveBtn,
#directionWalkBtn,
#directionCycleBtn {
  color: black;
  text-decoration: none;
  cursor: pointer;
  margin: 0 10px 2px 10px;
  font-size: 1.5rem;
  background: #ffe2bc;
  box-shadow: 2px 2px #e6bb84;
  width: 50px;
  aspect-ratio: 1/1;
  border-radius: 5px;;
}

#directionDriveBtn span,
#directionWalkBtn span,
#directionCycleBtn span {
  font-size: 0.7rem;
}

#directionDriveBtn.selected,
#directionWalkBtn.selected,
#directionCycleBtn.selected {
  margin: 2px 8px 0 12px;
  color: rgb(39, 43, 44);
  background: #e2c49d;
  box-shadow: 2px 2px #bb9562;
}

#directionInput {
  margin: 10px 0 15px 0;
  width: 80%;
}

#directionInput div{
  display: flex;
  align-items: center;

  margin: 10px 0;
}

#directionInput label {
  font-size: 1.2rem;
  margin-right: 10px;
  color: rgb(78, 78, 78);
}

#directionInput input {
  color: rgb(78, 78, 78);
  padding: 3px 15px;
  width: 100%;
}

#directionResults {
  height: calc(100vh - 280px);
}

#directionResults,
#nearbySearchResults {
  padding: 10px 20px 80px 20px;
  overflow-y: scroll;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#directionResultsTxt,
#nearbyResultsTxt {
  margin-top: 10px;
  text-decoration-style: italic;
  color: rgb(78, 78, 78);
  font-weight: 300;
  text-align: center;
}

#directionResultsImg,
#nearbyResultsImg {
  width: 50%;
}

.eachDirectionResult {
  display: flex;
  margin-bottom: 10px;
  width: 100%;
}

.eachDirectionResultImg img{
  margin: 20px;
  width: 20px;
}

.eachDirectionResultContent{
  height: 40px;
  margin: auto 0;
}

.eachDirectionResultContent p{
  margin-bottom: 0;
}

.eachDirectionResultContent p:last-child{
  font-size: 0.7rem;
  color: rgb(100, 100, 100);
}

/*---------- Map Page Sidebar (Nearby Spots Results) ----------- */

#nearbySearchTitle {
  display: flex;
  justify-content: center;
  flex-direction: column;
  box-shadow: 0 4px 2px -2px rgba(136, 136, 136, 0.3);
  padding: 10px 15px;
}

#nearbySearchTitle h1{
  color: black;
  text-shadow: none;
  font-size: 1.1rem;
  font-weight: 500;
  margin: 0;
}

#nearbySearchButton {
  display: flex;
  justify-content: center;
}

#nearbySearchButton a {
  color: black;
  text-decoration: none;
  width: 70px;
  height: 70px;
  box-shadow: 0px 3px 10px rgba(138, 138, 138, 0.3);
  border-radius: 10px;
  margin: 20px 10px;
  background: #ffaf94;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: background-color 0.2s, height 0.2s, width 0.2s, margin 0.2s;
}

#nearbySearchButton a i {
  font-size: 1.5rem;
  margin-bottom: 5px;
}

#nearbySearchButton a span {
  font-size: 0.5rem;
}

#nearbySearchButton .nearbyToiletBtn:hover,
#nearbySearchButton .nearbyRestaurantBtn:hover,
#nearbySearchButton .nearbyAccomodationBtn:hover {
  background: #ffa283;
}

#nearbySearchButton .nearbyToiletBtn:active,
#nearbySearchButton .nearbyRestaurantBtn:active,
#nearbySearchButton .nearbyAccomodationBtn:active {
  background: #ff9470;
  width: 68px;
  height: 68px;
  margin: 21px 11px;
}

#nearbySearchContainer input{
  border: none;
  border-radius: 100px;
  background: rgb(236, 236, 236);
  padding: 10px 20px;
  font-size: 0.8rem;
  transition: background-color 0.2s;
}

#nearbySearchContainer input:hover {
  background: rgb(219, 219, 219);
}

#nearbySearchContainer button {
  border: none;
  font-size: 0.8rem;
  padding: 10px;
  border-radius: 50px;
  background: #999999;
  color: white;
  transition: background-color 0.2s;
  margin-left: 10px;
}

#nearbySearchContainer button:hover{
  background: #888888;
}

#nearbySearchResults {
  overflow-y: scroll;
  height: calc(100vh - 275px);
}

.eachNearbySearchResult {
  width: 100%;
  padding: 20px 10px;
  border-bottom: 1px solid rgb(233, 233, 233);
}

.eachNearbySearchTitle {
 color:  rgb(0, 0, 0);
 text-shadow: none;
 text-align: left;
 font-size: 1.1rem;
 font-weight: normal;
}

.eachNearbySearchTitle span{
  background: rgb(207, 188, 163);
  border-radius: 20px;
  padding: 3px 6px;
  color: rgb(255, 255, 255);
  font-size: 0.7rem;
 }

 .eachNearbySearchTitle span.LikelyOpen,
 .eachNearbySearchTitle span.VeryLikelyOpen {
  background: rgb(129, 189, 111);
 }

.eachNearbySearchResult div {
  margin-top: 10px;
  color: rgb(95, 95, 95);
  font-size: 0.9rem;
  font-weight: normal;
}


/*-------- Map Page Sidebar (Weather Forecast Results) ----------- */
#weatherContainer{
  overflow-y: scroll;
}

#currentWeatherContainer,
#forecastWeatherContainer {
  background: rgb(255, 206, 165);
  margin: 10px 20px 20px 20px;
  border-radius: 10px;
  box-shadow: 1px 1px 10px rgba(223, 223, 223, 0.8);
}

#currentWeatherTitle,
#currentWeatherContent,
#forecastWeatherTitle,
#forecastWeatherContent {
  padding: 15px;
}

#currentWeatherTitle,
#forecastWeatherTitle {
  border-bottom: 2px solid #fafcfc;
  color: rgb(34, 34, 34);
}

#currentWeatherTitle div,
#forecastWeatherTitle {
  display: flex;
  justify-content: space-between;
  font-weight: 500;
  font-size: 0.8rem; 
}

#currentWeatherTitle p {
  font-size: 0.7rem;
  font-weight: 350;
  margin: 0;
}

#currentWeatherDiv {
  display: flex;
  align-items: center;
}

#currentWeatherDiv p {
  margin: 0;
}

#currentWeatherTemp {
  font-size: 2rem;
  font-weight: bold;
}

#currentWeatherFeels {
  font-weight: 375;
  font-size: 0.9rem;
}

#currentWeatherDesc {
  font-weight: 500;
  font-size: 0.8rem;
}

#forecastWeatherContent {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

#dailyForecastLeft {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

#dailyForecastDay {
  font-size: 1rem;
  margin: 0;
  font-weight: 500;
}

#dailyForecastDate {
  font-size: 0.6rem;
  margin: 0;
  color: rgb(100, 100, 100);
  text-wrap: nowrap;
}

#dailyForecastLeftCenter img {
  width: 60px;
}

#dailyForecastMax {
  font-size: 1.3rem;
  font-weight: 500;
}

#dailyForecastMin {
  font-size: 0.8rem;
  color: rgb(100, 100, 100);
}

#dailyForecastRightCenter p {
  font-size: 1rem;
  margin: 0;
}

#dailyForecastRight {
  color: rgb(63, 63, 63);
  font-weight: 300;
}


/*---------------- Map Page Main Map (Leaflet Map) --------------- */

#map {
  height: 100%;
  width: 100%;
}

#mapContainer form, 
#currLocationBtn{
  z-index: 401;
  position: absolute;
}

#mapContainer form {
  top: 20px;
  left: 50px;
  display: flex;
  flex-direction: column;
}

#mapContainer select {
  padding: 0 5px;
  border-radius: 3px;
  background-color: #ffffff;
  border: 1.5px solid rgba(53, 53, 53, 0.4);
}

#mapContainer select.map-active {
  display: none;
}

#currLocationBtn {
  bottom: 20px;
  right: 20px;
  background: #fafcfc;
  box-shadow: 0 0 5px #a0a0a0;
  height: 7%;
  aspect-ratio : 1 / 1;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: background-color 0.15s;
}

#currLocationBtn i{
  font-size: 1.1em;
}

#currLocationBtn:active {
  background: #ffd7a2;
}


/*------------ Map Page Main Map (Leaflet Marker Popup) ---------- */

.leaflet-popup-content-wrapper {
  padding: 0;
  overflow: hidden;
  border-radius: 20px;
}

.leaflet-popup-content {
  margin: 0;
}

.eachPopup {
  height: 400px;
  width: 270px;
  overflow-y: scroll;
}

.leaflet-popup-close-button {
  margin: 10px 20px 0 0;
}

.leaflet-popup-close-button span {
  color: #000000;
  text-shadow: 0px 0px 3px rgba(227, 227, 227, 0.8);
  font-size: 30px;
  line-height: 30px;
  transition: color 0.3s, text-shadow 0.3s;
  
}

.leaflet-popup-close-button span:hover {
  color: #f58831;
  text-shadow: 1px 1px 5px rgba(89, 89, 89, 0.8);
}

.eachPopup img{
  width: 100%;
  height: 45%;
  object-fit: cover;
  padding: 0;
}

.eachPopupContent {
  padding: 6%;
}

.eachPopupContentTitle h1 {
 color: black;
 text-shadow: none;
 font-size: 1rem;

}

.eachPopupContentTitle h2 {
  font-size: 0.85rem;
  font-weight: normal;
}

.eachPopupContentSection,
.eachPopupContentButton {
  display: flex;
  justify-content: space-around;
  border-bottom: 1px solid rgb(182, 182, 182);
}

.eachPopupContentButton {
  padding: 20px 5px;
}

.eachPopupContentButton a{
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  text-decoration: none;
  
}

.eachPopupContentButton a div {
  height: 40px;
  width: 40px;
  border-radius: 1000px;
  border: 1px #a5a5a5 solid;
  background: #f58732;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  color: rgb(255, 255, 255);
  transition: background-color 0.2s;
  
}

.eachPopupContentButton a p {
  margin: 3px 0 0 0;
  color: #c25502;
  font-size: 0.7rem;
  transition: color 0.2s;
}

.eachPopupContentButton a:hover div {
  background: #f36233;
}

.eachPopupContentButton a:hover p {
  color: #f36233;
}

.eachPopupOverviewInfo,
.eachPopupAboutInfo  {
  display: none;
}

.eachPopupOverviewInfo.active,
.eachPopupAboutInfo.active  {
  display: block;
}

.eachPopupOverviewInfo div,
.eachPopupAboutInfo div {
  display: flex;
  margin: 10px 0;
}

.eachPopupOverviewInfo div i,
.eachPopupAboutInfo div i{
  margin-right: 10px;
}

.eachPopupAboutInfo tr:nth-child(even) {
  background-color: rgb(240, 240, 240);
}

.eachPopupOperatingIcon {
  margin-top: 10px;
}

.eachPopupOperatingHr {
  display: flex;
  flex-direction: column;
  margin-top: 0;
}

.eachPopupOperatingHr p {
  margin: 0 0 5px 0;
}

.eachPopupOverviewButton,
.eachPopupAboutButton {
  font-weight: 300;
}

.eachPopupOverviewButton.active,
.eachPopupAboutButton.active {
  font-weight: 500;
}

.eachTypeAvailable span {
  font-size: 0.7rem;
  font-weight: normal;
  height: 15px;
  margin-right: 4px;
  padding: 0 4px;
  border-radius: 5px;
  text-wrap: nowrap;
  display: flex; 
  justify-content: center;
  align-items: center;
}

.eachTypeAvailable span.lead {
  background: rgb(122, 211, 233);
}

.eachTypeAvailable span.boulder {
  background: rgb(114, 223, 123);
}

.eachTypeAvailable span.top-rope {
  background: #ffbb86;
}

.eachTypeAvailable span.auto-belay {
  background: rgb(241, 138, 255);
}

.eachTypeAvailable span.trad {
  background: rgb(255, 153, 153);
}

/* ============================================================ */
/*                         FOOTER STYLES                        */
/* ============================================================ */
footer {
  display: flex;
  justify-content: space-around;
  background: #0c1214;
  color: #fafcfc;
  padding: 40px 20px 50px 20px;
  font-size: 0.8rem;
}

footer div {
  display: flex;
  justify-content: space-around;
  width: 100%;
}

footer div section {
  display: flex;
  flex-direction: column;
}

footer div section p {
  font-weight: bold;
}

footer div section a {
  text-decoration: none;
  margin: 5px 0;
}

footer img {
  display: none;
}



